"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.scratchOrgLifecycleEventName = exports.scratchOrgResume = exports.scratchOrgCreate = exports.lockInit = exports.PermissionSetAssignment = exports.User = exports.REQUIRED_FIELDS = exports.DefaultUserFields = exports.MyDomainResolver = exports.StreamingClient = exports.CometClient = exports.PollingClient = exports.SfError = exports.SchemaValidator = exports.SfProjectJson = exports.SfProject = exports.ORG_CONFIG_ALLOWED_PROPERTIES = exports.OrgConfigProperties = exports.OrgTypes = exports.SandboxEvents = exports.Org = exports.Messages = exports.Logger = exports.LoggerLevel = exports.getJwtAudienceUrl = exports.SfdcUrl = exports.WebOAuthServer = exports.Lifecycle = exports.Global = exports.Mode = exports.SFDX_HTTP_HEADERS = exports.Connection = exports.AuthRemover = exports.AuthInfo = exports.ConfigAggregator = exports.SandboxRequestCache = exports.SF_ALLOWED_PROPERTIES = exports.SFDX_ALLOWED_PROPERTIES = exports.SfConfigProperties = exports.SfdxPropertyKeys = exports.Config = exports.OrgUsersConfig = exports.DeviceOauthService = exports.StateAggregator = exports.EnvVars = exports.SUPPORTED_ENV_VARS = exports.EnvironmentVariable = exports.envVars = exports.TTLConfig = exports.ConfigFile = void 0;
exports.ScratchOrgSettingsGenerator = exports.ScratchOrgCache = exports.scratchOrgLifecycleStages = void 0;
const messages_1 = require("./messages");
;
var configFile_1 = require("./config/configFile");
Object.defineProperty(exports, "ConfigFile", { enumerable: true, get: function () { return configFile_1.ConfigFile; } });
var ttlConfig_1 = require("./config/ttlConfig");
Object.defineProperty(exports, "TTLConfig", { enumerable: true, get: function () { return ttlConfig_1.TTLConfig; } });
var envVars_1 = require("./config/envVars");
Object.defineProperty(exports, "envVars", { enumerable: true, get: function () { return envVars_1.envVars; } });
Object.defineProperty(exports, "EnvironmentVariable", { enumerable: true, get: function () { return envVars_1.EnvironmentVariable; } });
Object.defineProperty(exports, "SUPPORTED_ENV_VARS", { enumerable: true, get: function () { return envVars_1.SUPPORTED_ENV_VARS; } });
Object.defineProperty(exports, "EnvVars", { enumerable: true, get: function () { return envVars_1.EnvVars; } });
var stateAggregator_1 = require("./stateAggregator/stateAggregator");
Object.defineProperty(exports, "StateAggregator", { enumerable: true, get: function () { return stateAggregator_1.StateAggregator; } });
var deviceOauthService_1 = require("./deviceOauthService");
Object.defineProperty(exports, "DeviceOauthService", { enumerable: true, get: function () { return deviceOauthService_1.DeviceOauthService; } });
var orgUsersConfig_1 = require("./config/orgUsersConfig");
Object.defineProperty(exports, "OrgUsersConfig", { enumerable: true, get: function () { return orgUsersConfig_1.OrgUsersConfig; } });
var config_1 = require("./config/config");
Object.defineProperty(exports, "Config", { enumerable: true, get: function () { return config_1.Config; } });
Object.defineProperty(exports, "SfdxPropertyKeys", { enumerable: true, get: function () { return config_1.SfdxPropertyKeys; } });
Object.defineProperty(exports, "SfConfigProperties", { enumerable: true, get: function () { return config_1.SfConfigProperties; } });
Object.defineProperty(exports, "SFDX_ALLOWED_PROPERTIES", { enumerable: true, get: function () { return config_1.SFDX_ALLOWED_PROPERTIES; } });
Object.defineProperty(exports, "SF_ALLOWED_PROPERTIES", { enumerable: true, get: function () { return config_1.SF_ALLOWED_PROPERTIES; } });
var sandboxProcessCache_1 = require("./config/sandboxProcessCache");
Object.defineProperty(exports, "SandboxRequestCache", { enumerable: true, get: function () { return sandboxProcessCache_1.SandboxRequestCache; } });
var configAggregator_1 = require("./config/configAggregator");
Object.defineProperty(exports, "ConfigAggregator", { enumerable: true, get: function () { return configAggregator_1.ConfigAggregator; } });
var authInfo_1 = require("./org/authInfo");
Object.defineProperty(exports, "AuthInfo", { enumerable: true, get: function () { return authInfo_1.AuthInfo; } });
var authRemover_1 = require("./org/authRemover");
Object.defineProperty(exports, "AuthRemover", { enumerable: true, get: function () { return authRemover_1.AuthRemover; } });
var connection_1 = require("./org/connection");
Object.defineProperty(exports, "Connection", { enumerable: true, get: function () { return connection_1.Connection; } });
Object.defineProperty(exports, "SFDX_HTTP_HEADERS", { enumerable: true, get: function () { return connection_1.SFDX_HTTP_HEADERS; } });
var global_1 = require("./global");
Object.defineProperty(exports, "Mode", { enumerable: true, get: function () { return global_1.Mode; } });
Object.defineProperty(exports, "Global", { enumerable: true, get: function () { return global_1.Global; } });
var lifecycleEvents_1 = require("./lifecycleEvents");
Object.defineProperty(exports, "Lifecycle", { enumerable: true, get: function () { return lifecycleEvents_1.Lifecycle; } });
var webOAuthServer_1 = require("./webOAuthServer");
Object.defineProperty(exports, "WebOAuthServer", { enumerable: true, get: function () { return webOAuthServer_1.WebOAuthServer; } });
var sfdcUrl_1 = require("./util/sfdcUrl");
Object.defineProperty(exports, "SfdcUrl", { enumerable: true, get: function () { return sfdcUrl_1.SfdcUrl; } });
var getJwtAudienceUrl_1 = require("./util/getJwtAudienceUrl");
Object.defineProperty(exports, "getJwtAudienceUrl", { enumerable: true, get: function () { return getJwtAudienceUrl_1.getJwtAudienceUrl; } });
var logger_1 = require("./logger/logger");
Object.defineProperty(exports, "LoggerLevel", { enumerable: true, get: function () { return logger_1.LoggerLevel; } });
Object.defineProperty(exports, "Logger", { enumerable: true, get: function () { return logger_1.Logger; } });
var messages_2 = require("./messages");
Object.defineProperty(exports, "Messages", { enumerable: true, get: function () { return messages_2.Messages; } });
var org_1 = require("./org/org");
Object.defineProperty(exports, "Org", { enumerable: true, get: function () { return org_1.Org; } });
Object.defineProperty(exports, "SandboxEvents", { enumerable: true, get: function () { return org_1.SandboxEvents; } });
Object.defineProperty(exports, "OrgTypes", { enumerable: true, get: function () { return org_1.OrgTypes; } });
var orgConfigProperties_1 = require("./org/orgConfigProperties");
Object.defineProperty(exports, "OrgConfigProperties", { enumerable: true, get: function () { return orgConfigProperties_1.OrgConfigProperties; } });
Object.defineProperty(exports, "ORG_CONFIG_ALLOWED_PROPERTIES", { enumerable: true, get: function () { return orgConfigProperties_1.ORG_CONFIG_ALLOWED_PROPERTIES; } });
var sfProject_1 = require("./sfProject");
Object.defineProperty(exports, "SfProject", { enumerable: true, get: function () { return sfProject_1.SfProject; } });
Object.defineProperty(exports, "SfProjectJson", { enumerable: true, get: function () { return sfProject_1.SfProjectJson; } });
var validator_1 = require("./schema/validator");
Object.defineProperty(exports, "SchemaValidator", { enumerable: true, get: function () { return validator_1.SchemaValidator; } });
var sfError_1 = require("./sfError");
Object.defineProperty(exports, "SfError", { enumerable: true, get: function () { return sfError_1.SfError; } });
var pollingClient_1 = require("./status/pollingClient");
Object.defineProperty(exports, "PollingClient", { enumerable: true, get: function () { return pollingClient_1.PollingClient; } });
var streamingClient_1 = require("./status/streamingClient");
Object.defineProperty(exports, "CometClient", { enumerable: true, get: function () { return streamingClient_1.CometClient; } });
Object.defineProperty(exports, "StreamingClient", { enumerable: true, get: function () { return streamingClient_1.StreamingClient; } });
var myDomainResolver_1 = require("./status/myDomainResolver");
Object.defineProperty(exports, "MyDomainResolver", { enumerable: true, get: function () { return myDomainResolver_1.MyDomainResolver; } });
var user_1 = require("./org/user");
Object.defineProperty(exports, "DefaultUserFields", { enumerable: true, get: function () { return user_1.DefaultUserFields; } });
Object.defineProperty(exports, "REQUIRED_FIELDS", { enumerable: true, get: function () { return user_1.REQUIRED_FIELDS; } });
Object.defineProperty(exports, "User", { enumerable: true, get: function () { return user_1.User; } });
var permissionSetAssignment_1 = require("./org/permissionSetAssignment");
Object.defineProperty(exports, "PermissionSetAssignment", { enumerable: true, get: function () { return permissionSetAssignment_1.PermissionSetAssignment; } });
var fileLocking_1 = require("./util/fileLocking");
Object.defineProperty(exports, "lockInit", { enumerable: true, get: function () { return fileLocking_1.lockInit; } });
var scratchOrgCreate_1 = require("./org/scratchOrgCreate");
Object.defineProperty(exports, "scratchOrgCreate", { enumerable: true, get: function () { return scratchOrgCreate_1.scratchOrgCreate; } });
Object.defineProperty(exports, "scratchOrgResume", { enumerable: true, get: function () { return scratchOrgCreate_1.scratchOrgResume; } });
var scratchOrgLifecycleEvents_1 = require("./org/scratchOrgLifecycleEvents");
Object.defineProperty(exports, "scratchOrgLifecycleEventName", { enumerable: true, get: function () { return scratchOrgLifecycleEvents_1.scratchOrgLifecycleEventName; } });
Object.defineProperty(exports, "scratchOrgLifecycleStages", { enumerable: true, get: function () { return scratchOrgLifecycleEvents_1.scratchOrgLifecycleStages; } });
var scratchOrgCache_1 = require("./org/scratchOrgCache");
Object.defineProperty(exports, "ScratchOrgCache", { enumerable: true, get: function () { return scratchOrgCache_1.ScratchOrgCache; } });
var scratchOrgSettingsGenerator_1 = require("./org/scratchOrgSettingsGenerator");
Object.defineProperty(exports, "ScratchOrgSettingsGenerator", { enumerable: true, get: function () { return __importDefault(scratchOrgSettingsGenerator_1).default; } });
// Utility sub-modules
__exportStar(require("./util/sfdc"), exports);
//# sourceMappingURL=index.js.map