/**
 * New logger (Summer 2023) changes how file rotation works.  Each day, the logger writes to a new file
 * To get old files cleaned up, this can be called when a new root logger is instantiated
 * based on CLEAN_ODDS, it could exit OR delete some old log files
 *
 * to start this without waiting, use void cleanup()
 *
 * accepts params to override the default behavior (used to cleanup huge log file during perf tests)
 */
export declare const cleanup: (maxMs?: number, force?: boolean) => Promise<void>;
export declare const getOldLogFiles: (files: string[], maxMs?: number) => string[];
